precision highp float;

uniform mat4 modelViewProjectionMatrix; 
attribute vec4 position; 
attribute vec2 texture0;
varying vec2 texCoord; 
varying float green;

uniform float period;
uniform float period2;

void main() { 
	texCoord = texture0;
	vec4 pos = position; 
	
	green = 0.0;
	if (texCoord.x >= 0.5){
		green = period;
	}else{
		if (texCoord.y <= 0.5){
		pos.x *= period2;
		pos.y *= period2;
		}
	}
	
	gl_Position = modelViewProjectionMatrix * pos;
}