uniform mat4 modelViewProjectionMatrix;
attribute vec4 position;
attribute vec2 texture0;
varying vec2 texCoord;
void main ()
{
  texCoord = texture0;
  if ((texture0 == vec2(0.0, 0.0))) {
    gl_Position = vec4(2.0, 0.0, 0.0, 1.0);
  } else {
    gl_Position = (modelViewProjectionMatrix * position);
  };
}