precision mediump float;
uniform sampler2D textureUnit0;
varying vec2 texCoord;
uniform vec3 ambient;
uniform float myalpha;
uniform float global_alpha;
void main ()
{
  lowp vec4 tmpvar_1;
  tmpvar_1 = texture2D (textureUnit0, texCoord);
  vec3 tmpvar_2;
  tmpvar_2 = (vec3(0.1, 0.1, 0.1) + (0.9 * ambient));
  if ((tmpvar_1.z != 0.0)) {
    lowp vec4 tmpvar_3;
    tmpvar_3.xyz = (tmpvar_1.xyz * tmpvar_2);
    tmpvar_3.w = (myalpha * global_alpha);
    gl_FragColor = tmpvar_3;
  } else {
    discard;
  };
}