precision highp float;
uniform mat4 modelViewProjectionMatrix;
attribute vec4 position;
attribute vec2 texture0;
varying vec2 texCoord;
varying float colorr;
varying float colorg;
varying float colorb;
void main ()
{
  texCoord = texture0;
  if ((texture0.y >= 0.5)) {
    colorr = 0.52;
    colorg = 0.93;
    colorb = 0.8;
  } else {
    colorr = 1.0;
    colorg = 1.0;
    colorb = 1.0;
  };
  gl_Position = (modelViewProjectionMatrix * position);
}