precision mediump float;
uniform sampler2D textureUnit0;
varying vec2 texCoord;
varying float valpha;
uniform float myalpha;
uniform float myalpha_alt;
uniform float x;
uniform float y;
uniform float xf;
uniform float yf;
uniform float global_alpha;
void main ()
{
  float valpha2_1;
  lowp vec4 tmpvar_2;
  tmpvar_2 = texture2D (textureUnit0, texCoord);
  valpha2_1 = valpha;
  if ((valpha < 0.0)) {
    valpha2_1 = 0.0;
  };
  if ((valpha > 0.5)) {
    valpha2_1 = 1.0;
  } else {
    valpha2_1 = (valpha * 2.0);
  };
  if ((tmpvar_2.w != 0.0)) {
    valpha2_1 = (valpha2_1 * myalpha);
    if ((((texCoord.x >= x) && (texCoord.x <= xf)) && ((texCoord.y >= y) && (texCoord.y <= yf)))) {
      valpha2_1 = (valpha2_1 * myalpha_alt);
    };
    lowp vec4 tmpvar_3;
    tmpvar_3.xyz = tmpvar_2.xyz;
    tmpvar_3.w = ((valpha2_1 * tmpvar_2.w) * global_alpha);
    gl_FragColor = tmpvar_3;
  } else {
    discard;
  };
}