precision highp float;
uniform mat4 modelViewProjectionMatrix;
attribute vec4 position;
attribute vec2 texture0;
varying vec2 texCoord;
uniform float deslocUV;
varying float valpha;
void main ()
{
  texCoord = texture0;
  if ((texture0.y >= 0.5)) {
    valpha = -0.7;
  } else {
    valpha = 1.0;
  };
  texCoord = (texture0 - vec2(deslocUV));
  gl_Position = (modelViewProjectionMatrix * position);
}