precision highp float;
uniform mat4 modelViewMatrix;
uniform mat4 projectionMatrix;
uniform mat4 textureMatrix;
attribute vec4 position;
attribute vec2 texture0;
varying vec2 texCoord;
varying vec3 n;
varying vec3 posV;
attribute float mynormalx;
attribute float mynormaly;
attribute float mynormalz;
void main ()
{
  vec4 pos_1;
  vec4 tmpvar_2;
  tmpvar_2.zw = vec2(0.0, 1.0);
  tmpvar_2.xy = texture0;
  texCoord = (textureMatrix * tmpvar_2).xy;
  pos_1 = (modelViewMatrix * position);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.x = mynormalx;
  tmpvar_3.y = mynormaly;
  tmpvar_3.z = mynormalz;
  n = normalize((modelViewMatrix * tmpvar_3)).xyz;
  posV = pos_1.xyz;
  gl_Position = (projectionMatrix * pos_1);
}