uniform mat4 modelViewProjectionMatrix;
attribute vec4 position;
attribute vec2 texture0;
varying vec2 texCoord;
uniform float alpha;
varying float valpha;
void main ()
{
  if ((alpha <= 0.8)) {
    valpha = 0.3;
  } else {
    valpha = 1.0;
  };
  texCoord = texture0;
  gl_Position = (modelViewProjectionMatrix * position);
}