precision mediump float;
uniform sampler2D textureUnit0;
varying vec2 texCoord;
uniform float myalpha;
uniform vec3 ambient;
uniform vec3 ambientdark;
uniform float global_alpha;
void main ()
{
  lowp vec4 tmpvar_1;
  tmpvar_1 = texture2D (textureUnit0, texCoord);
  if ((tmpvar_1.x <= 0.1)) {
    lowp vec4 tmpvar_2;
    tmpvar_2.xyz = ambientdark;
    tmpvar_2.w = ((tmpvar_1.w * myalpha) * global_alpha);
    gl_FragColor = tmpvar_2;
  } else {
    lowp vec4 tmpvar_3;
    tmpvar_3.xyz = (tmpvar_1.xyz * ambient);
    tmpvar_3.w = ((tmpvar_1.w * myalpha) * global_alpha);
    gl_FragColor = tmpvar_3;
  };
}