precision mediump float;
uniform sampler2D textureUnit0;
varying vec2 texCoord;
uniform vec3 ambient;
uniform float myalpha;
varying float valpha;
uniform float vento2;
void main ()
{
  float valpha2_1;
  vec2 tmpvar_2;
  tmpvar_2.x = (texCoord.x + (texCoord.y * vento2));
  tmpvar_2.y = texCoord.y;
  lowp vec4 tmpvar_3;
  tmpvar_3 = texture2D (textureUnit0, tmpvar_2);
  vec3 tmpvar_4;
  tmpvar_4 = (vec3(0.8, 0.8, 0.8) + (0.2 * ambient));
  valpha2_1 = valpha;
  if ((valpha >= 0.4)) {
    valpha2_1 = 1.0;
  } else {
    valpha2_1 = (valpha * 2.5);
  };
  lowp vec4 tmpvar_5;
  tmpvar_5.xyz = (tmpvar_3.xyz * tmpvar_4);
  tmpvar_5.w = ((tmpvar_3.w * myalpha) * valpha2_1);
  gl_FragColor = tmpvar_5;
}