uniform mat4 modelViewMatrix;
uniform mat4 projectionMatrix;
uniform float timedelta2;
uniform float camerax;
uniform float amplitude;
attribute vec4 position;
attribute vec2 texture0;
uniform vec2 translationxy;
varying vec2 texCoord;
varying float toadd;
varying float alpha1;
uniform float up1;
uniform float up2;
uniform float up3;
uniform float esc1;
uniform float lava1;
uniform float dt;

void main ()
{
  vec4 pos_1;
  texCoord = (texture0 + translationxy);
     pos_1 = (modelViewMatrix * position);
 if (texCoord.y >= up1){

  if (((texCoord.y == up1) || (texCoord.y == up2))) {
    pos_1.y = (pos_1.y + (sin(
      ((timedelta2 + pos_1.x) + camerax)
    ) * amplitude));
    toadd = 1.0;
  } else {
    toadd = 0.7;
  };
     alpha1 = 0.8;
        
  }else{
  	 alpha1 = 1.0;
  	 toadd = lava1;
  	 
  	 if (texCoord.y == up3) {
     toadd = 1.3*toadd;
  	 }
  	 
  	 texCoord = texture0;
  	 texCoord.y =  texCoord.y + translationxy.y;
  	 texCoord.x = (texCoord.x + dt);
  	 
  	   if (position.z > -10.0) 
          toadd = 0.84;
  }
  
  toadd *= esc1;
  gl_Position = (projectionMatrix * pos_1);
}